import request from '@/utils/request'

// 查询字典类型列表
export function listType1(query) {
  return request({
    url: '/cs/csResourceDictType/list',
    method: 'get',
    params: query
  })
}

// 查询字典类型详细
export function getType1(dictId) {
  return request({
    url: '/cs/csResourceDictType/' + dictId,
    method: 'get'
  })
}

// 新增字典类型
export function addType1(data) {
  return request({
    url: '/cs/csResourceDictType',
    method: 'post',
    data: data
  })
}

// 修改字典类型
export function updateType1(data) {
  return request({
    url: '/cs/csResourceDictType',
    method: 'put',
    data: data
  })
}

// 删除字典类型
export function delType1(dictId) {
  return request({
    url: '/cs/csResourceDictType/' + dictId,
    method: 'delete'
  })
}

// 获取字典选择框列表
export function optionselect() {
  return request({
    url: '/cs/csResourceDictType/optionselect',
    method: 'get'
  })
}